.. _vim.cluster.Action: ../../../vim/cluster/Action.rst

.. _vim.cluster.Action.ActionType: ../../../vim/cluster/Action/ActionType.rst

vim.cluster.Action.ActionType
=============================
  Pre-defined constants for possible action types. Virtual Center uses this information to coordinate with the clients.
  :contained by: `vim.cluster.Action`_

  :type: `vim.cluster.Action.ActionType`_

  :name: StoragePlacementV1

values:
--------

StorageMigrationV1
   Storage migration action type

HostPowerV1
   Host power action type

HostMaintenanceV1
   Host entering maintenance mode action type

VmPowerV1
   Virtual machine power action type

StoragePlacementV1
   Initial placement action for a virtual machine or a virtual disk

MigrationV1
   Migration action type
